View Issue Details

IDProjectCategoryView StatusLast Update
0021407mantisbtcustomizationpublic2016-08-28 01:12
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021407: Event EVENT_MENU_ISSUE prints empty brackets even if no value is returned
Description

If the result from the event call is null, no brackets should be printed

TagsNo tags attached.

Related Changesets

MantisBT: master-1.3.x 0227d637

2016-07-28 19:49:35

cproensa

Details Diff
Don't show empty EVENT_MENU_ISSUE menu items

If the result of event call for EVENT_MENU_ISSUE is null, dont print
bracket with empty content.

Having null as returned value is valid.
For example: a plugin can hook to this event and return either an
actual item or an empty one, based in access level.

Fixes: 0021407
mod - bug_view_inc.php Diff File

MantisBT: master 1771a600

2016-07-28 19:55:46

cproensa

Details Diff
Don't show empty EVENT_MENU_ISSUE menu items

If the result of event call for EVENT_MENU_ISSUE is null, dont print
bracket with empty content.

Having null as returned value is valid.
For example: a plugin can hook to this event and return either an
actual item or an empty one, based in access level.

Fixes: 0021407
mod - bug_view_inc.php Diff File

Issue History

Date Modified Username Field Change
2016-07-21 20:21 cproensa New Issue
2016-07-28 19:36 cproensa File Added: Selección_030.png
2016-07-28 20:20 cproensa File Deleted: Selección_030.png
2016-07-28 20:20 cproensa Note Added: 0053724
2016-07-28 20:26 cproensa Assigned To => cproensa
2016-07-28 20:26 cproensa Status new => assigned
2016-07-29 05:25 cproensa Changeset attached => MantisBT master 1771a600
2016-07-29 05:25 cproensa Status assigned => resolved
2016-07-29 05:25 cproensa Resolution open => fixed
2016-07-29 05:25 cproensa Fixed in Version => 2.0.0-beta.2
2016-07-29 05:27 cproensa Changeset attached => MantisBT master-1.3.x 0227d637
2016-07-29 05:34 vboctoradmin Target Version => 1.3.1
2016-07-29 05:34 vboctoradmin Summary event EVENT_MENU_ISSUE prints empty brackets even if no value is returned => Event EVENT_MENU_ISSUE prints empty brackets even if no value is returned
2016-07-29 05:35 atrol Fixed in Version 2.0.0-beta.2 => 1.3.1
2016-08-28 01:12 vboctor Status resolved => closed